* Gauss Chapter
drop _all
clear

use lbw
regress bwt lwt race2 race3 smoke ht ui

glm bwt lwt race2 race3 smoke ht ui

glm bwt lwt race2 race3 smoke ht ui, irls

import delimited using beta.txt, clear
generate female = sex==2
generate pills = vitamin==1 | vitamin==2
glm betap age female pills kcal fat fiber alcohol chol betad
predict double res if e(sample), pearson
histogram res

histogram res

sort res
generate nscore = invnormal(_n/316)
twoway scatter nscore res

twoway scatter nscore res
twoway scatter res kcal, yline(0)

drop if kcal > 4000
glm betap age female pills kcal fat fiber alcohol chol betad, link(log) nolog
predict double betaphat if e(sample), mu
predict double resloglink if e(sample), pearson
histogram resloglink
twoway scatter resloglink betaphat, yline(0)

histogram resloglin
twoway scatter resloglink betaphat, yline(0)

generate double logbetap = log(betap)
glm logbetap age female pills kcal fat fiber alcohol chol betad
predict double logbetaphat if e(sample), mu
predict double reslognormal if e(sample), pearson
histogram reslognormal

histogram reslognormal

twoway scatter reslognormal logbetaphat, yline(0)

sort reslognormal
generate nscorelb = invnormal(_n/315)
twoway scatter nscorelb reslognormal || line reslognormal reslognormal 
twoway scatter reslognormal kcal, yline(0)

twoway scatter reslognormal logbetaphat, yline(0)
twoway scatter nscorelb reslognormal || line reslognormal reslognormal 
twoway scatter reslognormal kcal, yline(0)
